@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI89 AND COPIES IT TO THE TI89
REM DIRECTORY
REM $Id: build89.bat,v 1.14 2004/08/06 13:47:50 DEBROUX Lionel Exp $
REM ===========================================================================
REM ===========================================================================

if "%1" == "" goto :help

echo --------------------------------------------
echo building TICHESS - %1 TI89 version ...
echo --------------------------------------------
REM -ftracer is terrible size-wise !
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings logo.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings generic.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings bg_ti89.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings input.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings interrupt.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings board.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings loadsave.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings infoboards.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings menu.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -O2 -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings gui.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -O3 -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings engine.c
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings clocks.c
REM dir *.o
tigcc -DUSE_TI89 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wall -W -Wwrite-strings tichess.c logo.o generic.o bg_ti89.o interrupt.o input.o menu.o gui.o engine.o clocks.o board.o loadsave.o infoboards.o -o ticstart -pack tichess
copy ticstart.89y tichess.89y
ttsetname -quiet -folder tict -name tichess tichess.89y
copy tichess.89y ..\bin89\%1\tichess.89y
copy ticstart.89z ..\bin89\%1\ticstart.89z
copy ticstart-titanium.89z ..\bin89\%1\ticstart-titanium.89z
del *.89y
del *.o
del ticstart.89z
del ticstart-titanium.89z

goto :end
:help
echo ***********************************************************
echo * ERROR: NO LANGUAGE SPECIFIED ....
echo ***********************************************************
echo - [USAGE] build89.bat language
echo -
echo - language = english, german, french, spanish
echo -
:end

@echo on
